package ru.kirillius.pf.sdn.pipeline;

import lombok.RequiredArgsConstructor;
import ru.kirillius.pf.sdn.api.Networking.NetworkScope;
import ru.kirillius.pf.sdn.api.pipeline.PipelineFunction;
import ru.kirillius.pf.sdn.api.properties.PropertyDescriptor;

import java.util.Collections;
import java.util.Map;

@RequiredArgsConstructor
public class DummyPassthrough implements PipelineFunction {

    @Override
    public NetworkScope apply(NetworkScope source, Map<String, String> properties) {
        var output = new NetworkScope();
        output.add(source);
        return output;
    }

    @Override
    public Map<String, PropertyDescriptor> getProperties() {
        return Collections.emptyMap();
    }
}
